#!/bin/sh

# important config files
echo copying files...
cp ~/.config/alacritty.yml ./alacritty/alacritty.yml
cp -r ~/.bash ./bash
cp ~/.bash_profile ./bash
cp ~/.bashrc ./bash
cp ~/.config/tmux/tmux.conf ./tmux
cp ~/.vimrc ./vim
cp ~/.vim/coc-settings.json ./vim
cp -r ~/.vim/after ./vim
cp ~/.xinitrc* ./x
cp ~/.Xresources ./x
cp ~/.Xmodmap ./x
cp ~/bin/spawn-alacritty ./x
cp ~/bin/quitconf ./x
cp ~/bin/battery ./x
cp ~/bin/startdwm ./x
cp ~/.config/VSCodium/User/settings.json ./vscode

# other config files
cp ~/.config/dunst/dunstrc ./dunst
cp ~/.config/htop/htoprc ./htop

# update submodules
echo pulling submodules...
git submodule update --remote --merge

